Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class PropertyMaskHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.PropertyMaskHandle

    public class PropertyMaskHandle

extends StructureHandle

Represents the handle of property mask structure. The property mask defines whether this property can be accessed or modified. It includes property name and mask value.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`PropertyMaskHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of property mask.

Method Summary
`java.lang.String` | `getMask()` Returns the property mask.
`java.lang.String` | `getName()` Returns the property name.
`void` | `setMask(java.lang.String mask)` Sets the property mask.
`void` | `setName(java.lang.String name)` Sets the property name.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMaskHandle

    public PropertyMaskHandle(SimpleValueHandle valueHandle,
                              int index)

  Constructs the handle of property mask.

  Parameters:
    `valueHandle` - the value handle for property mask list of one property
    `index` - the position of this property mask in the list

Method Detail

### getMask

    public java.lang.String getMask()

  Returns the property mask. The possible values are defined in {org.eclipse.birt.report.model.elements.DesignChoiceConstants}, and they are:
  - PROPERTY_MASK_TYPE_CHANGE
  - PROPERTY_MASK_TYPE_LOCK
  - PROPERTY_MASK_TYPE_HIDE

  Returns:
    the property mask

### setMask

    public void setMask(java.lang.String mask)
                 throws SemanticException

  Sets the property mask. The allowed values are defined in {org.eclipse.birt.report.model.elements.DesignChoiceConstants}, and they are:
  - PROPERTY_MASK_TYPE_CHANGE
  - PROPERTY_MASK_TYPE_LOCK
  - PROPERTY_MASK_TYPE_HIDE

  Parameters:
    `mask` - the mask to set
  Throws:
    `SemanticException` - if the mask is not in the choice list.

### getName

    public java.lang.String getName()

  Returns the property name.

  Returns:
    the property name

### setName

    public void setName(java.lang.String name)
                 throws SemanticException

  Sets the property name.

  Parameters:
    `name` - the property name to set
  Throws:
    `SemanticException` - value required exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.